# @(#) Makefile
# @(#) Mynor Ramirez 
# @(#) Mantenimiento de tipos de documento

# Programas 
NAME     = tipodocs.4ge 
OBJFILES = facglo002.4gl facmae002.4gl facqbe002.4gl 
FRMFILES = facmae002a.per 
LIBFILES = ../../lib/libgrales.42x 

# Compilando y linkeando programas 
all:
	@make -f ../../cmd/prog4js NAME="$(NAME)" \
        LIBFILES="$(LIBFILES)" OBJFILES="$(OBJFILES)" \
        FRMFILES="$(FRMFILES)" $(NAME)
	cp *42m *42f *42r ../bin

# Compilando formas
form:
	@make -f ../../cmd/prog4js $(FRMFILES) 

# Limpiando archivos de compilacion
clean: 
	@make -f ../../cmd/prog4js clean 
